0
$\begingroup$

I just installed tensorflow environment with conda.
but problem is conda does not have some packagefor example 'fastai' pip3 only has this package
as you know pip install and conda install has different package directory
so if conda does not have the package what you have to do?
I dont want to move pip package to conda manually....

$\endgroup$
  • $\begingroup$ Why can't you just install the package with conda install? $\endgroup$ – HFulcher Mar 11 '19 at 16:42
  • $\begingroup$ or install the package into the conda environment using pip? $\endgroup$ – Attack68 Mar 11 '19 at 16:43
2
$\begingroup$

Activate your conda environment, then use the pip that will also be in your environment (just like the Python interpreter is that of you activated environment).

For example:

source activate your_tf_env          # now we are in the conda env
which -a pip                         # should list all pip executables

The first pip one should be in your_tf_env somewhere.

Now you can simply install your package, e.g. using pip install fastai, which will use the pip of your environment and the package will also be installed in your environment. You do not need to manually copy the files anywhere.

With your conda env still activated, you can then confirm the package is installed by running:

conda list                     # list all installed packages
conda list | grep fastai       # grep filters results, e.g. for  "fastai"
| improve this answer | |
$\endgroup$
  • $\begingroup$ is possible to use pip3? $\endgroup$ – slowmonk Mar 12 '19 at 0:31
  • $\begingroup$ my conda version for python is 3.6.5. but when I do pip install something on my environment it said it detected python 3.4 and can not installed on python 3.4 or lower what is the situation? $\endgroup$ – slowmonk Mar 12 '19 at 0:48
  • $\begingroup$ Are you sure you are actually in the environment? You must activate it. Have a look at this comprehensive tutorial that should tell you everything you need to know $\endgroup$ – n1k31t4 Mar 12 '19 at 11:29

Not the answer you're looking for? Browse other questions tagged or ask your own question.